import App from './App'
// import './uni.scss';
// import './assets/common.scss'
// import './assets/iconfont.css'
// import './assets/iconfont-weapp-icon.css'
import store from './store'
Vue.prototype.$store = store;
// js
import tools from '@/tools/tools.js'
Vue.prototype.$tools = tools;
//请求
import http from '@/tools/https.js'
Vue.prototype.$http = http;
//接口
import model from '@/tools/model.js'
Vue.prototype.$model = model;
//模拟数据
import json from '@/content.json'
Vue.prototype.$json = json;


// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif
